Data Fields
acc_surface_velocity_config_t Struct Reference

Surface velocity application config container. More...

## Data Fields
float | surface_distance
uint16_t | time_series_length
uint16_t | slow_zone_half_length
float | psd_lp_coeff
uint16_t | cfar_guard
uint16_t | cfar_win
float | threshold_sensitivity
float | velocity_lp_coeff
float | max_peak_interval_s
float | sensor_angle
acc_config_t * | sensor_config

## Detailed Description

Surface velocity application config container.

Definition at line 89 of file example_surface_velocity.c.

## Field Documentation

## ◆ cfar_guard

uint16_t acc_surface_velocity_config_t::cfar_guard

Definition at line 95 of file example_surface_velocity.c.

## ◆ cfar_win

uint16_t acc_surface_velocity_config_t::cfar_win

Definition at line 96 of file example_surface_velocity.c.

## ◆ max_peak_interval_s

float acc_surface_velocity_config_t::max_peak_interval_s

Definition at line 99 of file example_surface_velocity.c.

## ◆ psd_lp_coeff

float acc_surface_velocity_config_t::psd_lp_coeff

Definition at line 94 of file example_surface_velocity.c.

## ◆ sensor_angle

float acc_surface_velocity_config_t::sensor_angle

Definition at line 100 of file example_surface_velocity.c.

## ◆ sensor_config

acc_config_t* acc_surface_velocity_config_t::sensor_config

Definition at line 101 of file example_surface_velocity.c.

## ◆ slow_zone_half_length

uint16_t acc_surface_velocity_config_t::slow_zone_half_length

Definition at line 93 of file example_surface_velocity.c.

## ◆ surface_distance

float acc_surface_velocity_config_t::surface_distance

Definition at line 91 of file example_surface_velocity.c.

## ◆ threshold_sensitivity

float acc_surface_velocity_config_t::threshold_sensitivity

Definition at line 97 of file example_surface_velocity.c.

## ◆ time_series_length

uint16_t acc_surface_velocity_config_t::time_series_length

Definition at line 92 of file example_surface_velocity.c.

## ◆ velocity_lp_coeff

float acc_surface_velocity_config_t::velocity_lp_coeff

Definition at line 98 of file example_surface_velocity.c.

The documentation for this struct was generated from the following file:

- Src/use_cases/example_apps/example_surface_velocity.c